package gmodel

import (
	"gorm.io/gorm"
	"time"
)

// ldap_roles 角色表
type LdapRoles struct {
	Id      int64      `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	Name    *string    `gorm:"unique_key;default:'';" json:"name"`              //
	Keyword *string    `gorm:"unique_key;default:'';" json:"keyword"`           //
	Remark  *string    `gorm:"default:'';" json:"remark"`                       //
	Status  *int64     `gorm:"default:1;" json:"status"`                        // 1正常, 2禁用
	Sort    *int64     `gorm:"default:999;" json:"sort"`                        // 角色排序(排序越大权限越低, 不能查看比自己序号小的角色, 不能编辑同序号用户权限, 排序为1表示超级管理员)
	Creator *string    `gorm:"default:'';" json:"creator"`                      //
	Ctime   *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"ctime"`     //
	Utime   *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"utime"`     //
}
type LdapRolesModel struct {
	db   *gorm.DB
	name string
}

func NewLdapRolesModel(db *gorm.DB) *LdapRolesModel {
	return &LdapRolesModel{db: db, name: "ldap_roles"}
}
